Jump to content

jeleb

Members
  • Posts

    11
  • Joined

  • Last visited

Profile Information

  • Location
    France
  • Activity
    Freelancer

jeleb's Achievements

Newbie

Newbie (1/14)

0

Reputation

  1. Bonjour, Je voudrais partager mon panier entre plusieurs boutiques Prestashop 1.6 J'ai vu que le "groupe de boutiques" permet de le faire, mais d'apres mes premiers tests, il me semble que le partage de paniers entre boutiques qui n'ont pas le meme nom de domaine ne fonctionne pas. Comment faire pour que le partage de paniers fonctionne ? Merci JeLeB
  2. Bon. J'ai trouve une piste : C'est pas le controller ProductController.php qu'il faut modifier c'est le controleur CategoryController.php Dans product-list.tpl on ajoute : <div id="oosHook"{if $product->quantity >0} style="display:none;"{/if}> {$HOOK_PRODUCT_OOS} </div> Dans le fichier CategoryController.php (a faire dans l'override) : ajouter dans la fonction initContent() $this->context->smarty->assign(array( 'category' => $this->category, 'description_short' => Tools::truncateString($this->category->description), 'products' => (isset($this->cat_products) && $this->cat_products) ? $this->cat_products : null, 'id_category' => (int)$this->category->id, 'id_category_parent' => (int)$this->category->id_parent, 'return_category_name' => Tools::safeOutput($this->category->name), 'path' => Tools::getPath($this->category->id), 'add_prod_display' => Configuration::get('PS_ATTRIBUTE_CATEGORY_DISPLAY'), 'categorySize' => Image::getSize(ImageType::getFormatedName('category')), 'mediumSize' => Image::getSize(ImageType::getFormatedName('medium')), 'thumbSceneSize' => Image::getSize(ImageType::getFormatedName('m_scene')), 'homeSize' => Image::getSize(ImageType::getFormatedName('home')), 'allow_oosp' => (int)Configuration::get('PS_ORDER_OUT_OF_STOCK'), 'comparator_max_item' => (int)Configuration::get('PS_COMPARATOR_MAX_ITEM'), 'HOOK_PRODUCT_OOS' => Hook::exec('actionProductOutOfStock', array('product' => $this->product)), 'suppliers' => Supplier::getSuppliers() )); Ca ajoute le hook HOOK_PRODUCT_OOS dans la liste des produits. Mais il reste encore deux soucis majeurs : - $this->product n'est pas defini dans cette classe - Le code du module mailalert est fait pour un produit dans la page. Donc je vais inserer x fois le script JS qui fonctionne sur un produit et pas sur une liste de produits Il reste de nombreuses modifications a faire pour que ca fonctionne correctement avec mailalert dans la liste des produits. Pour moi, vu le nombre de produits que je gere (une dizaine de produits, dont deux peuvent etre concernes), je ne vais pas faire ces modifications Si il y a un courageux ! :-) JeLeB
  3. Bonjour, Je cherche aussi a attacher le hook $HOOK_PRODUCT_OOS dans la liste des produits je l'ai mis dans le template product-list.tpl mais la variable est vide Donc il doit manquer un truc style declaration de la variable dans un controlleur mais je ne trouve pas ou J'ai trouve des solutions pour prestashop 1.4 mais pas 1.5 Une idee ? Merci JeLeB
  4. Merci pour vos reponses, Je n'ai pas vraiment trouve dans le forum de topics parlant du sujet de numerotation, a part des vieux topics sur des ps 1.2 (c'est la derniere version avec les tabs non ?) J'en suis arrive a la meme conclusion que DevNet, il n'y a pas tant de choses que ca a modifier pour faire ce dont j'ai besoin. Par contre, j'ai lu que la modification du prefixe modifiait l'integralite des factures, passees et futures. Est ce qu'on va pas "perdre" des factures, parce que impossible de retrouver la date de la facture ?
  5. Bonjour, Par defaut, prestashop propose une numerotation pour les factures avec un prefixe suivi d'un numero d'ordre dans l'annee Mon comptable me demande un numero de facture en AAAA-MM-numero_d_ordre_annuel Comment je peux faire ca ? Prestashop : 1.5.6.1 Merci
  6. C'est du coup un des soucis que j'ai. J'aimerai utiliser le webservice PS pour faire mes dev et que ce soit independant de la structure des tables. Seulement, j'ai installe une 1.5.0.13 et j'ai les memes ressources non modifiables par le webservice. Donc je ne peux a priori pas utiliser le webservice pour faire un inventaire. Je vais devoir donc faire un script qui modifie dans les tables les infos qui vont bien, et il va falloir surement que j'y retouche en faisant un upgrade de PS. :-((
  7. J'espere :-) Pour info, j'ai mes stocks dans l'entrepot et mes boutiques sont configures pour partager le stock physique. Je viens de verifier rapidement sur la 1.5.13 et j'ai les memes ressources qui ne sont pas modifiables, donc j'ai l'impression que c'est pareil pour la RC1...
  8. Oui, J.Danse, j'ai regarde /api/warehouses/ mais c'est une ressource non modifiable (GET ET HEAD seuls autorises)
  9. Bonjour, J'ai installe un PS 1.5.0.9 en multi-boutique et je souhaite acceder a la gestion des stocks par l'intermediaire de l'api webservice, en vue de faire un inventaire, gerer mes commandes, sans passer par le BO. J'ai active le webservice, et j'accede correctement aux donnees de ma base. Jusqu'ici, tout fonctionne correctement. Par contre, je ne sais pas comment modifier la quantite d'un produit par l'intermediaire du webservice. Dans "api/products" je n'ai plus le champs <quantity>, les ressources "available_quantities", "stocks", "stock_movements" sont en lecture seul De la meme maniere, je ne sais pas non plus modifier l'emplacement d'un produit dans un entrepot Il semblerait que la gestion des stocks avance ne soit pas disponible par l'intermediaire de l'api. Comment puis je faire ? Merci JeLeB
  10. Bonjour, Je pense que tu devrais regarder dans le fichier error.log de ton serveur si tu y as acces. Ca peut etre une erreur de compilation du cache, ou un truc comme ca, qui arrete la generation de la page module. Le log t'en dira plus. Jeleb
  11. Bonjour, Je viens de voir la nouvelle version de Prestashop beta etait sorti et je suis tres impatient d'avoir une version finale ! J'ai bien vu qu'on peut attendre une version RC au mieux sous deux mois, par contre je vais etre oblige de sortir mes 3 boutiques en version 1.4.7 rapidement, D'ou mes questions : - Est que je peux utliser un module multi-boutique de la version 1.4.7 qui sera compatible avec la version 1.5 ? - Quel module multi-boutique 1.4 est le plus proche de la gestion de la version 1.5 ? - Si j'installe plusieurs boutiques 1.4 independantes, je devrais faire l'integration sous 1.5 a la main, avec tous les problemes SEO qui peuvent en decouler. C'est bien ca ? Merci Jerome
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More